function clr = getClr(gr, randhue)

if numel(gr)==1 && gr==0
    clr = [0 0 0]+0.5.*rand(1,3);
    return;
end


N = size(gr, 1);

if size(gr, 2)==1
    maxval = max(gr);
    newgr = false(N, maxval);
    for i = 1:N
        if gr(i)>0
            newgr(i, gr(i)) = true;
        end
    end
    gr = newgr;
end



clr = zeros(N, 3);
for i = 1:N
    if gr(i, 1)
        
        if randhue
            clr(i, 1) = 1;
            clr(i,:) = clr(i,:) + (1-clr(i,:))*0.6*rand(1);
        else
            clr(i,:) = [1 0.3 0.3];
        end
        
    elseif gr(i, 2)
       
        if randhue
            clr(i, 2) = 1;
            clr(i,:) = clr(i,:)*(0.4+0.6*rand(1));
        else
            clr(i,:) = [0.2 0.8 0.3];
        end
        
    elseif size(gr,2)>2&&gr(i, 3)
        
        if randhue
            clr(i, 3) = 1;
            clr(i,:) = clr(i,:) + (1-clr(i,:))*0.6*rand(1);
        else
            clr(i,:) = [0.3 0.4 0.8];
        end
        
    end
end



